@echo off

SETLOCAL

if "%1" == "" (set FLAVOR=debug) else (set FLAVOR=%1)
if "%2" == "" (set PLATFORM=droidarm) else (set PLATFORM=%2)

if "%FLAVOR%" == "debug" (set FLAVOR2=debug) else (set FLAVOR2=release)

@call %OTOOLS%\inc\otools\android\getAndroidNugetPaths.bat

rem Location of javah.exe
set JAVAH_EXE=%__ANDROID_JDK_PATH%\x64\bin\javah

rem Package that the java classes belong 
set JAVA_PACKAGENAME=com.microsoft.office.csi.wopi

rem Location of the build class files
set JAVA_CLASSPATH=%BUILDROOT%\%PLATFORM%\%FLAVOR%\csi\src\androidjava\intermediates\classes\%FLAVOR2%

rem Location to generate the .h files to
set NATIVE_DIR=%SRCROOT%\csi\src\Wopi\android

rem Edit any existing generated header files
sd edit %NATIVE_DIR%\%JAVA_PACKAGENAME:.=_%*.h

rem List of class names to generate c++ headers for
for %%X in (
	WopiAncestryInfo
	WopiBrowse
	WopiBrowseHelper
	WopiContainerExtendedPointer
	WopiContainerMetadata
	WopiContainerPointer
	WopiContainerSnapshot
	WopiFileInfo
	WopiFileSnapshot
	) do (
	%JAVAH_EXE% -d %NATIVE_DIR% -classpath %JAVA_CLASSPATH% %JAVA_PACKAGENAME%.%%X
	sd add %NATIVE_DIR%\%JAVA_PACKAGENAME:.=_%_%%X*.h
)

sd revert -a %NATIVE_DIR%\%JAVA_PACKAGENAME:.=_%*.h